Bug 468067 - "pkg-config --libs OpenIPMIpthread" fails
"pkg-config --libs OpenIPMIpthread" fails
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: OpenIPMI (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Jan Safranek
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 598546 598551
  Show dependency treegraph
 
Reported: 2008-10-22 12:38 EDT by Alan Pevec
Modified: 2010-06-02 03:57 EDT (History)
4 users (show)

See Also:
Fixed In Version: OpenIPMI-2.0.18-1.fc14
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 591646 598546 598551 (view as bug list)
Environment:
Last Closed: 2010-05-20 09:59:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Pevec 2008-10-22 12:38:37 EDT
Description of problem:
copied from http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=474087

# pkg-config --libs OpenIPMIpthread
Package pthread was not found in the pkg-config search path.
Perhaps you should add the directory containing `pthread.pc'
to the PKG_CONFIG_PATH environment variable
Package 'pthread', required by 'OpenIPMIpthread', not found

Please remove bogus pthread from Requires:
in /usr/lib/pkgconfig/OpenIPMIpthread.pc
and add -pthread to Cflags:

Version-Release number of selected component (if applicable):
both F-9 and F-10 have the issue:
OpenIPMI-devel-2.0.14-2.1.fc9
OpenIPMI-devel-2.0.14-4.fc10


How reproducible:
always

Steps to Reproduce:
1. try to build collectd-4.4.4 with --enable-ipmi
2. see http://koji.fedoraproject.org/koji/getfile?taskID=895839&name=build.log
3.
  
Actual results:
   libopenipmi . . . . no (/usr/bin/pkg-config doesn't know OpenIPMIpthread)

Expected results:
   libopenipmi detected

Additional info:
Comment 1 Christopher D. Stover 2008-10-22 22:04:03 EDT
Thank you for the bug report.  At the moment, the Fedora developers are
busy fixing other issues and may not have time to work on this one.  The
best way to make sure your problem will get looked on is to report it to
the authors of the program. Most upstream authors use a bug tracking system
like bugzilla, and more people who know the code will be looking at the
bug report there.

The upstream bug tracking system to use is:
http://sourceforge.net/tracker/?group_id=36127&atid=416301

You are requested to add the bugzilla link here for tracking purposes.
Please make sure the bug isn't already in the upstream bug tracker
before filing it.
Comment 3 Ruben Kerkhof 2010-05-28 11:05:21 EDT
Hi Jan,

Can you also apply the pkgconfig patch to F-12 and F-13?
Comment 4 Jan Safranek 2010-06-01 08:52:21 EDT
(In reply to comment #3)
> Can you also apply the pkgconfig patch to F-12 and F-13?    

Of course I can! If only _someone_ opened a bug for me there ;-).
Comment 6 Alan Pevec 2010-06-01 15:04:04 EDT
F-12 bug 598546
F-13 bug 598551

Note You need to log in before you can comment on or make changes to this bug.